<!-- Calander -->
<ion-grid
    class="has-background-whisper-grey radius-25 is-neutral weight-500 px-11"
>
    <!-- Calendar header -->
    <ion-row
        class="ion-justify-content-between ion-nowrap ion-align-items-center weight-800 ion-padding-horizontal ion-text-center"
    >
        <ion-col size="auto" class="ion-no-padding">
            <app-button
                fill="clear"
                [disabled]="disabledPrevious"
                color="primary"
                icon="chevron-back"
                (onClick)="previous()"
            >
            </app-button>
        </ion-col>
        <ion-col
            size="auto"
            class="ion-text-capitalize ion-no-padding weight-700 size-13"
        >
            <ion-text color="neutral">
                {{ displayDate | date : 'MMMM yyyy' }}
            </ion-text>
        </ion-col>
        <ion-col size="auto">
            <app-button
                fill="clear"
                color="primary"
                icon="chevron-forward"
                (onClick)="next()"
            >
            </app-button>
        </ion-col>
    </ion-row>
    <!-- Calendar -->
    <calendar
        #calendarComponent
        [calendarMode]="calendar.mode"
        [formatDayHeader]="calendar.formatDayHeader"
        [currentDate]="calendar.currentDate"
        [step]="calendar.step"
        (onCurrentDateChanged)="updateHours($event)"
        [markDisabled]="markDisabled.bind(this)"
        [showEventDetail]="false"
        class="schedule__calendar px-11"
    >
    </calendar>
</ion-grid>
<!-- Time selection -->
<ion-row class="ion-justify-content-between mx-30">
    <!-- Time label -->
    <ion-col class="weight-700 schedule__time ion-align-items-center">
        <ion-icon name="time" color="primary" class="mr-10"></ion-icon>
        <ion-text class="size-16" color="silver"> Heure </ion-text>
    </ion-col>
    <!-- Time selection -->
    <ion-col size="auto">
        <ion-select
            class="schedule__hours size-12 is-dove-black weight-600"
            interface="popover"
            placeholder="00:00"
            [(ngModel)]="selectedHour"
            (ionChange)="updateCalendar($event)"
        >
            <ion-select-option
                *ngFor="let nextCalendar of calendars"
                [value]="nextCalendar.availableDateStart"
            >
                {{ nextCalendar.availableDateStart }}
            </ion-select-option>
        </ion-select>
    </ion-col>
</ion-row>
